FETCH402
← Protocol index

Resource / 90

unknown

GEDX402 Chat.

Multi-model chat completions. POST messages[] and set model to any LLM id from GET /v1/models; dynamic USDC pricing scales with model and token usage. Hero: GET /heroes/chat-completions.

Eligibility
unprobeable
Failures
0
Last quote
Last probe
Payment requirements / accepts[] 5 options
State Network Scheme Atomic amount Asset payTo / untrusted
active eip155:8453 exact 1000 0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913 0xb3C2776cE3F99cb3366520c27b4aC5D436942Ab6
active eip155:137 exact 1000 0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359 0xb3C2776cE3F99cb3366520c27b4aC5D436942Ab6
active eip155:42161 exact 1000 0xaf88d065e77c8cC2239327C5EDb3A432268e5831 0xb3C2776cE3F99cb3366520c27b4aC5D436942Ab6
active eip155:480 exact 1000 0x79A02482A880bCE3F13e09Da970dC34db4CD24d1 0xb3C2776cE3F99cb3366520c27b4aC5D436942Ab6
active solana:5eykt4usfv8p8njdtrepy1vzqkqzkvdp exact 1000 EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v 9xQeWvG816bUx9EPjHmaT23yvVM2ZWbrrpZb9PusVFin

All advertised payment options are stored. Base (`eip155:8453`) is the operational network for ranking and canaries; non-Base options remain visible for transparency.

Probe evidence 0 recent

No probe attempts recorded yet. Coverage runs prioritize never-probed endpoints.

Machine contract

Schemas.

InputJSON
{
  "body": {
    "max_tokens": 128,
    "messages": [
      {
        "content": "Say hello in one sentence.",
        "role": "user"
      }
    ],
    "model": "fast"
  },
  "bodyType": "json",
  "method": "POST",
  "type": "http"
}
OutputJSON
{
  "example": {
    "choices": [
      {
        "finish_reason": "stop",
        "index": 0,
        "message": {
          "content": "Hello!",
          "role": "assistant"
        }
      }
    ],
    "id": "chatcmpl-example",
    "object": "chat.completion"
  },
  "type": "json"
}